CHICKEN-DO(1)

NAME
chicken-do - run a shell command unless the target exists and any dependency is not newer than the target

SYNOPSIS
chicken-do [-q] [-h] [--] TARGET ...: DEPENDENCY ...: COMMAND ...

DESCRIPTION
If the files TARGET ... do not exist, or if any of the files in DEPENDENCY ... are newer than one of the target files, then execute the shell commands in COMMAND ....

The program accepts the following options:

-h  Show usage and exit.

-q  Quiet operation - do not print shell commands when they are executed.

--  Treat all following tokens as target filenames, even if they begin with a - character.

EXIT STATUS

EXAMPLES
Build a C program from sources:

    $ chicken-do prg: prg.c inc.h: gcc prg.c -o prg

SEE ALSO
chicken(1), chicken-status(1), chicken-install(1), chicken-uninstall(1), csc(1)

More information can be found in the CHICKEN User's Manual: http://wiki.call-cc.org/manual/index.

AUTHORS
The CHICKEN Team

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org